<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#ededed"
    android:fitsSystemWindows="true"
    tools:context=".ui.activity.SearchActivity">

    <androidx.cardview.widget.CardView
        android:id="@+id/cv_search"
        android:layout_width="0dp"
        android:layout_height="30dp"
        android:layout_margin="15dp"
        app:cardCornerRadius="8dp"
        app:cardElevation="0dp"
        app:cardMaxElevation="0dp"
        app:layout_constraintEnd_toStartOf="@id/tv_cancel"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                android:id="@+id/iv_search"
                android:layout_width="17dp"
                android:layout_height="17dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="10dp"
                android:src="@drawable/icon_search" />

            <EditText
                android:id="@+id/et_search"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="5dp"
                android:layout_toEndOf="@id/iv_search"
                android:background="@null"
                android:hint="搜索"
                android:textSize="15sp" />

        </RelativeLayout>


    </androidx.cardview.widget.CardView>

    <TextView
        android:id="@+id/tv_cancel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="15dp"
        android:text="取消"
        android:textColor="#576B95"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/cv_search"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/cv_search"
        app:layout_constraintTop_toTopOf="@id/cv_search" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_search_result"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="5dp"
        android:visibility="invisible"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cv_search" />

    <!--    <TextView-->
    <!--        android:id="@+id/tv_search"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:layout_marginStart="25dp"-->
    <!--        android:layout_marginTop="23dp"-->
    <!--        android:text="搜索置顶内容"-->
    <!--        android:textSize="12sp"-->
    <!--        app:layout_constraintStart_toStartOf="parent"-->
    <!--        app:layout_constraintTop_toBottomOf="@id/cv_search" />-->

    <!--    <View-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="1dp"-->
    <!--        android:layout_marginHorizontal="25dp"-->
    <!--        android:layout_marginTop="5dp"-->
    <!--        android:background="#D9D9D9"-->
    <!--        app:layout_constraintEnd_toEndOf="parent"-->
    <!--        app:layout_constraintStart_toStartOf="parent"-->
    <!--        app:layout_constraintTop_toBottomOf="@id/tv_search" />-->

    <TextView
        android:id="@+id/tv_page_setting"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="50dp"
        android:text="页面设置"
        android:textColor="#576B95"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>